# vim: set ft=spec: -*- rpm-spec -*-
# $Id: i386-mingw32msvc,v 1.13 2006/03/24 08:19:13 raorn Exp $

%define cross_arch i386-mingw32msvc

%define _archprefix %_prefix/%cross_arch
%define _archbindir %_prefix/%cross_arch/bin
%define _archincludedir %_prefix/%cross_arch/include
%define _archlibdir %_prefix/%cross_arch/lib
%define _archdatadir %_prefix/%cross_arch/share

Name: %cross_arch
Version: 0.0.6
Release: alt1

Summary: RPM macros and basesystem for %cross_arch-* packages
Group: Development/Other
License: Public domain

BuildArch: noarch

Source: %cross_arch.rpmmacros
Source1: README.ALT-ru_RU.KOI8-R

%description
RPM macros and basesystem for %cross_arch-* packages

%package base
Summary: Basesystem for %cross_arch-* packages
Group: Development/Other

%description base
Basesystem for %cross_arch-* packages

%package devel
Summary: RPM macros for building %cross_arch-* packages
Group: Development/Other
PreReq: /etc/rpm/macros.d
PreReq: %name-base
Conflicts: i386-mingw32msvc-gcc < 3.3.3-alt4

%description devel
RPM macros for building %cross_arch-* packages.

%install
%__mkdir_p %buildroot{%_archprefix,%_archbindir,%_archincludedir,%_archlibdir,%_archdatadir}
%__install -m644 -D -p %SOURCE0 %buildroot%_sysconfdir/rpm/macros.d/%cross_arch

%files base
%dir %_archprefix
%dir %_archbindir
%dir %_archincludedir
%dir %_archlibdir
%dir %_archdatadir

%files devel
%doc $RPM_SOURCE_DIR/README.ALT-ru_RU.KOI8-R
%config %_sysconfdir/rpm/macros.d/%cross_arch

%changelog
* Fri Mar 24 2006 Sir Raorn <raorn@altlinux.ru> 0.0.6-alt1
- Set %%target_optflags for mingw_tool to %%optflags value from
  mingw_package for use in CFLAGS_FOR_TARGET

* Sun Mar 12 2006 Sir Raorn <raorn@altlinux.ru> 0.0.5-alt1
- Changed -mcpu to -mtune

* Wed Oct 06 2004 Sir Raorn <raorn@altlinux.ru> 0.0.4-alt1
- Added OBJDUMP to %%cross_env
- Added STRIP to %%cross_env

* Sun Oct 03 2004 Sir Raorn <raorn@altlinux.ru> 0.0.3-alt1
- Added CROSS_COMPILE=1 to %%cross_env
- Addes PKG_CONFIG to %%cross_env
- Set --build to %%_host_alias
- Some dependencies tweaks

* Mon Sep 20 2004 Sir Raorn <raorn@altlinux.ru> 0.0.2-alt1
- Some fixes, README.ALT updated

* Fri Sep 17 2004 Sir Raorn <raorn@altlinux.ru> 0.0.1-alt1
- Built for Sisyphus




